Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class ActionExpressionData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.ActionExpressionData

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ActionExpressionData extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionExpressionData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentId()`
  `String`
  `getServiceExpression()`
  `int`
  `getServiceId()`
  `String`
  `getServiceName()`
  `String`
  `getServiceOperation()`
  `ActionExpressionData`
  `setComponentId(String componentId)`
  `ActionExpressionData`
  `setId(int id)`
  Устанавливает id объекта
  `ActionExpressionData`
  `setServiceExpression(String serviceExpression)`
  `ActionExpressionData`
  `setServiceId(int serviceId)`
  `ActionExpressionData`
  `setServiceName(String serviceName)`
  `ActionExpressionData`
  `setServiceOperation(String serviceOperation)`
  `ActionExpressionData`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ActionExpressionData

    public ActionExpressionData()

- ## Method Details

  - ### getComponentId

    public String getComponentId()

  - ### getServiceExpression

    public String getServiceExpression()

  - ### getServiceId

    public int getServiceId()

  - ### getServiceName

    public String getServiceName()

  - ### getServiceOperation

    public String getServiceOperation()

  - ### setComponentId

    public ActionExpressionData setComponentId(String componentId)

  - ### setServiceExpression

    public ActionExpressionData setServiceExpression(String serviceExpression)

  - ### setServiceId

    public ActionExpressionData setServiceId(int serviceId)

  - ### setServiceName

    public ActionExpressionData setServiceName(String serviceName)

  - ### setServiceOperation

    public ActionExpressionData setServiceOperation(String serviceOperation)

  - ### setId

    public ActionExpressionData setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public ActionExpressionData setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`